# dumper.hh File Reference

Wrap calls to dumpers for various formats. More...

Include dependency graph for dumper.hh:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

int | string_to_int (const std::string &s)
| Return the decimal value of s.

## Detailed Description

Wrap calls to dumpers for various formats.

This file was written quickly and somewhat dirtily by Raphaël Poss, and slightly cleaned by Akim Demaille. Undoubtedly, more polishing and thinking might be very useful. No doubt that such a feature (dumping to several formats) is pleasant.

Warning:
  : A context must be opened before using this file (it uses the `automaton_t` type). That's why this file is not checked for sanity.

Author:
  Raphaël Poss <Raphael.Poss@lrde.epita.fr>

Definition in file dumper.hh.